Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class ArrayRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.SharedValueRecordBase
                      org.apache.poi.hssf.record.ArrayRecord

    public final class ArrayRecord

extends SharedValueRecordBase

ARRAY (0x0221)

Treated in a similar way to SharedFormulaRecord

Author:
  Josh Micich

Field Summary
`static short` | `sid`

Constructor Summary
`ArrayRecord(Formula formula, CellRangeAddress8Bit range)`
`ArrayRecord(RecordInputStream in)`

Method Summary
`protected int` | `getExtraDataSize()`
`Ptg[]` | `getFormulaTokens()`
`short` | `getSid()` return the non static version of the id for this record.
`boolean` | `isAlwaysRecalculate()`
`boolean` | `isCalculateOnOpen()`
`protected void` | `serializeExtraData(LittleEndianOutput out)`
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.SharedValueRecordBase
`getDataSize, getFirstColumn, getFirstRow, getLastColumn, getLastRow, getRange, isFirstCell, isInRange, serialize`

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`clone, cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### ArrayRecord

    public ArrayRecord(RecordInputStream in)

### ArrayRecord

    public ArrayRecord(Formula formula,
                       CellRangeAddress8Bit range)

Method Detail

### isAlwaysRecalculate

    public boolean isAlwaysRecalculate()

### isCalculateOnOpen

    public boolean isCalculateOnOpen()

### getFormulaTokens

    public Ptg[] getFormulaTokens()

### getExtraDataSize

    protected int getExtraDataSize()

  Specified by:
    `getExtraDataSize` in class `SharedValueRecordBase`

### serializeExtraData

    protected void serializeExtraData(LittleEndianOutput out)

  Specified by:
    `serializeExtraData` in class `SharedValueRecordBase`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.